Subject: Indy ISDN questions

From: Thomas Bogendoerfer <[email-masked]>
Date: Thu, 8 Apr 1999 22:34:36 +0200

Ok, after Ulf got the sound working the remaining not supported hardware 
is VINO and ISDN. Since I'm involved in ISDN programing at work and I already
worked with the Linux ISDN code, I hacked together the necessary code to
access ISAC and HSCX. The detection looks pretty good now, but I don't
get interrupts from any of the two chips.

The IRIX header files only talk about ISDN on the IP24, but not on the IP22.
But I've found both of the Siemens chip on the Indy board (Fullhouse == IP22).
So what's up with ISDN on the Indy ? How do I get the interrupts ?

Thomas.

-- 
   This device has completely bogus header. Compaq scores again :-|
It's a host bridge, but it should be called ghost bridge instead ;^)
                                        [Martin `MJ' Mares on linux-kernel]

---

From: "William J. Earl" <[email-masked]>
Date: Thu, 8 Apr 1999 13:50:36 -0700

> So what's up with ISDN on the Indy ? How do I get the interrupts ?

      The Indy ("Guinness") is an IP24, although it shares the "IP22" kernel with the
real IP22, Indigo2 ("Fullhouse").  Only the IP24 has ISDN.  I will look into
where the interrupts are delivered later, but it will be via one of the several
interrupt multiplexors.

---

From: Alistair Lambie <[email-masked]>
Date: Fri, 09 Apr 1999 08:55:46 +1200

> The IRIX header files only talk about ISDN on the IP24, but not on the IP22.

IP24=Indy, IP22=Indigo2.  They are so much the same that from a user
level they both report as IP22.

-- 
Alistair Lambie                                [email-masked]
SGI Global Product Support            SGI Voicemail/VNET: 234-1455
Level 5, Cigna House,                                M/S: INZ-3780
PO Box 24 093,                                  Ph: +64-4-494 6325
40 Mercer St, Wellington,                      Fax: +64-4-494 6321
New Zealand                                 Mobile: +64-21-635 262

---

From: Matthias Kleinschmidt <[email-masked]>
Date: Thu, 08 Apr 1999 21:52:30 -0400

On Thu, Apr 08, 1999 at 10:34:36PM +0200, Thomas Bogendoerfer wrote:
> is VINO and ISDN.

What about parallel port support? Or am I just unable to find it?

Matthias

-- 
Matthias Kleinschmidt
Cedar Dell 568B, Box 5398
UMass Dartmouth
285 Old Westport Rd.
North Dartmouth, MA 02747
Tel.:  +1 508 910 6851
email: [email-masked]

---

From: Thomas Bogendoerfer <[email-masked]>
Date: Fri, 9 Apr 1999 21:17:20 +0200

> What about parallel port support? Or am I just unable to find it?

who needs it ? These days every sane printer has a ethernet built in or
is attached to a 386sx Linux box as print server:-) And scanners
shouldn't be connected to printer ports. But a parallel port driver
isn't a major deal (as long as it is a _printer_ port) and could be
done by nearly everbody during a evening hacking session:-)

Thomas.

---

From: Matthias Kleinschmidt <[email-masked]>
Date: Fri, 09 Apr 1999 16:56:36 -0400

> done by nearly everbody during a evening hacking session:-)

I would like to have printer support for my Indy because I can't find an
ethernet port on my $140 printer :-) and I would like to connect it to my
Indy rather than to my laptop (so I don't have to plug the printer in and
out every time I take my laptop with me).
And it may be true that nearly everybody (who has the documentation) could
write a driver but I don't have the documentation and I never wrote a device
driver. If it is really that easy it schould not be much work for one of the
Indy kernel hackers.

Matthias

-- 
Matthias Kleinschmidt
Cedar Dell 568B, Box 5398
UMass Dartmouth
285 Old Westport Rd.
North Dartmouth, MA 02747
Tel.:  +1 508 910 6851
email: [email-masked]

---

From: Ulf Carlsson <[email-masked]>
Date: Fri, 9 Apr 1999 23:27:27 +0200

> out every time I take my laptop with me).

I may write a device driver for you if you give me your $140 printer. ;-)

- Ulf

---

From: Thomas Bogendoerfer <[email-masked]>
Date: Sat, 10 Apr 1999 00:38:52 +0200

> driver. If it is really that easy it schould not be much work for one of the

ok, ok. Right now I don't get the ISDN running, since somehow the hardware
doesn't behave like it should. So I'll look at the parallel port...

Thomas.